---
updatedAt: 2026-09-18T13:46:54.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# Add transaction notes

# Overview

Use this method to add a note to the specified transaction.

Notes can be used to save memos about specific data regarding transactions. Another good illustration is when Sumsub rejects a transaction but you then [approve it](https://docs.sumsub.com/sumsub/reference/approve-and-reject-transaction) and want to let us know.

<Callout icon="📘" theme="info">
  ### Info

  - Notes are not processed nor taken into account by automatic checks.
  - Do not use notes as a channel for instant messages.
</Callout>

<Callout icon="👍" theme="okay">
  ### Tip

  You can add notes to transactions in the [Dashboard](https://cockpit.sumsub.com/checkus/#/kyt/txns). Open the transaction you need and click **Add note** in the **Transaction details** section.
</Callout>

## Required permissions

To use this method, your [app token](https://docs.sumsub.com/sumsub/docs/app-tokens) must have the **View TM transactions** [permission](https://docs.sumsub.com/sumsub/docs/user-roles#permissions).

## Request example

```curl
curl -X POST \
     'https://api.sumsub.com/resources/kyt/txns/notes' \
     -H 'content-type: application/json' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>' \
     -d '{
           "txnId": "66c46d7566f5240000000000",
           "tags": [
             "First tag",
             "Second tag"
           ],
           "note": "This is a test note"
     	}'
```

# Response explained

The response is a JSON file representing the note details. The following table explains the response attributes.

| Field       | Type   | Description                                                                                                                    |
| :---------- | :----- | :----------------------------------------------------------------------------------------------------------------------------- |
| `id`        | String | Note identifier. You may need it in case you want to [edit the note](https://docs.sumsub.com/sumsub/reference/edit-txn-notes) or [remove it](https://docs.sumsub.com/sumsub/reference/remove-txn-notes). |
| `txnId`     | String | Unique transaction identifier in the Sumsub system.                                                                            |
| `note`      | String | Text of the note that was added to the transaction.                                                                            |
| `createdAt` | Date   | Date and time when the note was added.                                                                                         |
| `createdBy` | String | Identifier of the note author.                                                                                                 |

## Response examples

If the request is sent and processed successfully, you will receive a response like the following:

```json
{
  "id": "66ceed13d427a60000000000",
  "txnId": "66c46d7566f5240000000000",
  "note": "This is a test note",
  "createdAt": "2024-08-28 09:25:39+0000",
  "createdBy": "service-prd-JYHGDETVKPUYTFD-app-name lastname"
}
```

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:

```json
{
  "description": "Malformed data provided in the request",
  "code": 400,
  "correlationId": "f08a5c47fbb49289bb1c8116a296ddf5"
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "sumsub-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.sumsub.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "X-App-Token",
        "in": "header",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/resources/kyt/txns/notes": {
      "post": {
        "summary": "Add transaction notes",
        "description": "",
        "operationId": "add-txn-notes",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "txnId",
                  "note"
                ],
                "properties": {
                  "txnId": {
                    "type": "string",
                    "description": "Unique transaction identifier in the Sumsub system. <br><br>This ID is returned in the [response](https://docs.sumsub.com/reference/get-transaction#root-variables) to this request and a webhook (`kytTxnId`). Save it for future use in subsequent API calls. Alternatively, you can get this identifier by the [following method](https://docs.sumsub.com/sumsub/reference/get-transaction-information-by-txnid)."
                  },
                  "note": {
                    "type": "string",
                    "description": "A note to add."
                  },
                  "tags": {
                    "type": "array",
                    "description": "[Tags](https://docs.sumsub.com/sumsub/reference/add-txn-tags) that you may want to assign to the transaction (one tag per string). Mind that tag names are case sensitive.",
                    "items": {
                      "type": "string"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```